%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname cucumber-rails
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Cucumber Generators and Runtime for Rails
Name: rubygem-%{gemname}
Version: 1.0.2
Release: 7%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/aslakhellesoy/cucumber-rails
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(cucumber) >= 0.8.0
Requires: rubygem(rails) >= 2.3.5
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Cucumber Generators and Runtime for Rails

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} --force --rdoc %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/
rm -f %{buildroot}%{geminstdir}/.gitignore
rm -f %{buildroot}%{geminstdir}/config/.gitignore
rm -f %{buildroot}%{geminstdir}/.rspec
rm -f %{buildroot}%{geminstdir}/.rvmrc
rm -f %{buildroot}%{geminstdir}/Gemfile.lock
find %{buildroot}%{geminstdir} -type f | xargs chmod -x


%files
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/config
%{geminstdir}/Gemfile
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/History.md
%doc %{geminstdir}/README.md
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/spec
%{geminstdir}/features
%{geminstdir}/Rakefile
%{geminstdir}/dev_tasks
%{geminstdir}/%{gemname}.gemspec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Tue Jul 13 2011 Mo Morsi <mmorsi@redhat.com> - 1.0.2-1
- Update to latest upstream release

* Fri Jul 08 2011 Chris Lalancette <clalance@redhat.com> - 0.3.2-7
- Remove the check section as it doesn't work currently
- Re-arrange the spec to install the gem during prep

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-5
- Fixed wrong email in changelog
- Fixed version in cucumber dependency
- Fixed attributes on doc subpackage

* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-4
- Moved tests and documentation to doc subpackage
- Fixed licence tag
- Removed unused macros
- Fixed version dependencies

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-3
- Added nokogiri gem to dependencies

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-2
- Added missing cucumber dependency for build

* Fri Oct 01 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-1
- Initial package
